%define name elicit
%define version 2.2
%define release %mkrel 2

Summary:   Graphics designer's tool
Name:	   %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:	   Graphics
URL:	   http://www.rephorm.com/code/elicit/
Source:    http://www.rephorm.com/code/elicit/%{name}-%{version}.tar.xz
Patch:     elicit-2.2-dbus-dir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: python-devel
BuildArch: noarch
Requires:  python >= 2.6
Requires:  pygtk2.0
Requires:  python-gobject >= 2.18
Requires:  python-numpy >= 1.3
Requires:  vim-minimal

%description
A designer's tool that allows one to magnify sections of the screen and select colors 
from any application, and organize those colors into palettes. 


%prep

%setup -q 
%patch -p1

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

# menu
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 755 data/rephorm-elicit.desktop \
%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Multimedia-Graphic" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
mv $RPM_BUILD_ROOT%{_datadir}/gconf/schemas/elicit.schemas \
$RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
rm -rf $RPM_BUILD_ROOT%{_datadir}/gconf/schemas/

# icon
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 data/icon/48/rephorm-elicit.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%post
%update_menus
%post_install_gconf_schemas %name

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus



%files 
%defattr(-,root,root)
%doc AUTHORS README.md TODO
%{_sysconfdir}/gconf/schemas/elicit.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}_remote
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/com.rephorm.elicit.service
%{_datadir}/applications/*.desktop
%{py_sitedir}/%{name}
%{py_sitedir}/*info


%changelog
* Fri Aug 16 2013 billybot <billybot> 2.2-2pclos2013
- update python 2.7

* Fri Sep 28 2012 Neal <nealbrks0 at gmail dot com> 2.2-1pclos2012
- process

* Fri Sep 28 2012 Ken <lxgator@gmail.com> 2.2-1pclos2012
- initial pkg

